%define version 0.68
%define release 4mdk

Name: kudzu
Version: %{version}
Release: %{release}
Copyright: GPL
Summary: The Linux hardware probing tool.
Group: System/Configuration/Hardware
Source: kudzu-%{PACKAGE_VERSION}.tar.bz2
Patch0: kudzu-0.68-mdkconf.patch.bz2
Patch1: kudzu-0.68-pcitable-drakx.patch.bz2
Patch2: kudzu-0.68-ddcdev.patch.bz2
Patch3: kudzu-0.68-initfilefix.patch.bz2
Patch4: kudzu-0.68-usb-controller-2-interface.patch.bz2
Patch5: kudzu-0.68-with-aurora.patch.bz2
Obsoletes: rhs-hwdiag setconsole
Prereq: chkconfig, modutils >= 2.3.11
BuildRoot: %{_tmppath}/kudzu
BuildRequires: newt-devel, pciutils-devel newt-devel popt-devel slang

%description
Kudzu is a hardware probing tool run at system boot time to determine
what hardware has been added or removed from the system.

%package devel
Summary: The development library for hardware probing.
Group: Development/C

%description devel
The kudzu-devel package contains the libkudzu and libmodules
libraries, which are libraries used for hardware probing and
configuration.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1 
%patch4 -p1
%patch5 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" all kudzu ktest
make -C ddcprobe

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall install-program
make -C ddcprobe/ install DESTDIR=%{buildroot}

perl -p -i -e 's|/etc/init.d|%{_initrddir}|' %{buildroot}/etc/rc.d/init.d/*
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add kudzu

%preun
if [ $1 = 0 ]; then
	chkconfig --del kudzu
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_sbindir}/kudzu
%{_datadir}/kudzu
%{_mandir}/man1/*
%{_libdir}/python*/site-packages/kudzumodule.so
%config(noreplace) /etc/sysconfig/kudzu
%config(noreplace) %{_initrddir}/kudzu

%files devel
%defattr(-,root,root)
%{_libdir}/libkudzu.a
%{_libdir}/libkudzu_loader.a
%{_libdir}/libmodules.a
%{_includedir}/kudzu/*
%ifarch %{ix86}
%{_libdir}/libvbe.a
%{_includedir}/vbe.h
%endif

%changelog
* Thu Sep 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.68-4mdk
- With Aurora use -q.

* Sun Aug 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.68-3mdk
- Mandrake use usb-interface not usb-controller.

* Sat Aug 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.68-2mdk
- Set config file as noreplace.
- Make rpmlint happyt add (fake) status/reload target to initscript.
- Fix init.d dir (define to the current rpm definition).

* Fri Aug 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.68-1mdk
- spec cleanup.
- 0.68.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.44-3mdk
- automatically added BuildRequires

* Sun Jul 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.44-2mdk
- rebuild for teh BM
- macrosifications

* Sat Jun 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.44-1mdk
- Using /etc/modules.conf as default and if not use /etc/conf.modules.
- 0.44.
- upgrade pcitable from drakx.

* Tue May  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.36-3mdk
- Upgrade pcitable from drakx.

* Thu Apr 20 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.36-2mdk
- Corrected BuildRoot

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.36-1mdk
- BuildRequires: newt-devel
- Merge with drakx pcitable.
- Adjust groups.
- 0.36.

* Mon Jan 10 2000 Pixel <pixel@mandrakesoft.com>
- update with pcitable from DrakX

* Thu Jan  6 2000 Pixel <pixel@mandrakesoft.com>
- update with pcitable from DrakX

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- sb-live support (axalon).

* Wed Dec 29 1999 Pixel <pixel@mandrakesoft.com>
- new pcitable

* Thu Dec 23 1999 Frederic Lepied <flepied@kenobi.mandrakesoft.com> 0.23-7mdk

- fix call to mousedrake, printdrake and keyboarddrake.

* Fri Dec 17 1999 Frederic Lepied <flepied@mandrakesoft.com> 0.23-6mdk

- fix XFdrake launch

* Thu Dec  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Use our tools (drakxtools, lothar).
- Use our standar colors
- Don't ask unnecessary questions.
- Big mandrake adaptations.

* Tue Nov 02 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Don't probe device if not here(r).

* Fri Oct 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.23.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.22.

* Fri Oct 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adatations.

* Thu Sep  9 1999 Bill Nottingham <notting@redhat.com>
- sanitize, homogenize, sterilize...

* Wed Sep  8 1999 Bill Nottingham <notting@redhat.com>
- get geometry for ide drives
- enumerate buses (jj@ultra.linux.cz)
